﻿
$ErrorActionPreference = 'Stop';

$softVersion = '3.6.7'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${softVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = 'BAC701B72A5030BBA765B10ED9084DD129478D95F42B0E54AF29DC4146B0856D'
  checksumType  = 'sha256'
  checksum64    = '69793D3D986FE9F2B3959010D4757366ED09DA6F0C34FF3B5694FD9A62EF3D22'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${softVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath "${target}" 'User'

$DesktopPath = [Environment]::GetFolderPath("Desktop")
Install-ChocolateyShortcut -shortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${softVersion}.lnk" -targetPath "${target}/${packageName}.exe"
